# setmenu

Adds a popup menu to the menu bar

Usage

    setmenu [-q] [-i=<index>] <visible_text> [;menu_name]

Description

Adds an existing popup menu to the current frame's menu bar.
<visible_text> is used as menu identification and obviously as the visible menu bar text for the new popup.
If a popup menu with the same <visible_text> already exists in the current frame it is removed first.
<visible_text> can optionally contain the "&" character to identify the popup menu accelerator.
[menu_name] , if given , must be avalid name of a popup menu created earlier with defpopup (or the script center).
If [menu_name] is not given , the popup menu identified by <visible_text> is removed.
If the -i switch is used , <index> is a zero based index of the default menu-bar text item: the new popup menu will be placed on the left of that default item.
If -q is used , this command prints no warnings (so you can safely use it to remove popup menus without being sure that they actually are in there). The warning itself serves to debugging purposes for the scripter.

Switches

-q | --quiet
Run quietly: do not print any warnings
-i=<index:integer> | --index=<index:integer>
Place the popup menu on the left of the existing menubar item at the specified index

Syntax Specification

    setmenu [-q] [-i=<index:integer>] <visible_text:string> [menu_name:string]

Examples
setmenu -q -i=2 Test apopup setmenu Test setmenu ThisDoesNotExist setmenu -q ThisDoesNotExist
See also
defpopup

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011